services:
    pim_user.remover.role:
        class: '%pim_catalog.remover.base.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@event_dispatcher'
            - '%pim_user.entity.role.class%'

    pim_user.remover.user_group:
        class: '%pim_catalog.remover.base.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@event_dispatcher'
            - '%pim_user.entity.group.class%'

    pim_user.remover.user:
        class: '%pim_catalog.remover.base.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@event_dispatcher'
            - '%pim_user.entity.user.class%'
